## python-rpcq 3.11.0

=== requirements.txt ===
# If you change the requirements here, don't forget to make the
# corresponding change in the conda-forge rcpq-feedstock here:
#
# https://github.com/conda-forge/rpcq-feedstock/blob/master/recipe/meta.yaml

msgpack >=0.6,<2.0
python-rapidjson
pyzmq>=17
ruamel.yaml

# testing
numpy
pytest>=5.4.0
pytest-asyncio
pytest-cov

=== debian/changelog ===
python-rpcq (3.11.0-3) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.0 + update
    uploaders list.
  * d/copyright: update email ID in debian/* copyright.
  * Remove d/python3-rpcq.install and add d/python3-rpcq.docs.
  * Add d/source/options to diff-ignore egg-info.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 14 Aug 2024 18:40:00 +0000

python-rpcq (3.11.0-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 16 Mar 2024 16:25:00 +0000

python-rpcq (3.11.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1065468)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Mon, 04 Mar 2024 23:30:00 +0000

=== debian/control ===
Source: python-rpcq
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/rigetti/rpcq
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rpcq.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rpcq
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-msgpack,
 python3-rapidjson,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-zmq,
Rules-Requires-Root: no
Standards-Version: 4.7.0

Package: python3-rpcq
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: RPC framework and message specification for Rigetti QCS
 Asynchronous RPC client-server framework and message
 specification for Rigetti Quantum Cloud Services (QCS).
 Implements an efficient transport protocol by using
 ZeroMQ (ZMQ) sockets and MessagePack (msgpack) serialization.
 Not intended to be a full-featured replacement for other
 frameworks like gRPC or Apache Thrift.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rpcq

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rpcq/rpcq-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
